From dfe86e7a2b9952a2f285078d87fd61d370befa77 Mon Sep 17 00:00:00 2001
From: yaswanthsastry <yaswanth.sastry@multicorewareinc.com>
Date: Mon, 10 Mar 2025 12:28:00 +0530
Subject: [PATCH] Cleanup for x265 warnings with aq-motion option

---
 source/common/lowres.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/source/common/lowres.cpp b/source/common/lowres.cpp
index 257259cde..4548cf800 100644
--- a/source/common/lowres.cpp
+++ b/source/common/lowres.cpp
@@ -420,13 +420,13 @@ void Lowres::init(PicYuv *origPic, int poc)
     memset(intraCost, 0, sizeof(int32_t) * cuCount);
     if (!!origPic->m_param->rc.aqMode || !!origPic->m_param->rc.hevcAq || !!origPic->m_param->bAQMotion || !!origPic->m_param->bEnableWeightedPred || !!origPic->m_param->bEnableWeightedBiPred)
         {
-        memset(qpAqOffset, 0.0, sizeof(double) * cuCountFullRes);
+        memset(qpAqOffset, 0, sizeof(double) * cuCountFullRes);
         memset(invQscaleFactor, 0, sizeof(int) * cuCountFullRes);
-        memset(qpCuTreeOffset, 0.0, sizeof(double) * cuCountFullRes);
+        memset(qpCuTreeOffset, 0,sizeof(double) * cuCountFullRes);
         if (origPic->m_param->rc.qgSize == 8)
              memset(invQscaleFactor8x8, 0, sizeof(int) * cuCount);
         memset(edgeInclined, 0, sizeof(int) * cuCountFullRes);
         }
      if (origPic->m_param->bAQMotion)
-        memset(qpAqMotionOffset, 0.0, sizeof(double) * cuCountFullRes);
+        memset(qpAqMotionOffset, 0, sizeof(double) * cuCountFullRes);
 }
-- 
2.37.3.windows.1

